Bug 54558 - [fix] www/suphp: fix critical problem, due to wrong dependency.
[fix] www/suphp: fix critical problem, due to wrong dependency.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-16 23:30 UTC by sheepkiller
Modified: 2003-07-17 05:36 UTC (History)
1 user (show)

See Also:


Attachments
suphp.diff (832 bytes, patch)
2003-07-16 23:30 UTC, sheepkiller
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sheepkiller 2003-07-16 23:30:17 UTC
	suphp must use php-cgi (and not php-cli)
	Thanks to Jez Hancock for the notification. :)

How-To-Repeat: 	install suphp and bang your head against a brick wall... ;-)
Comment 1 sheepkiller 2003-07-16 23:35:05 UTC
This is the real fix :)
Damn, I need t go to bed :)

diff -Nur suphp.old/Makefile suphp/Makefile
--- suphp.old/Makefile	Thu Jul 17 00:16:20 2003
+++ suphp/Makefile	Thu Jul 17 00:33:36 2003
@@ -7,6 +7,7 @@
 
 PORTNAME=	suphp
 PORTVERSION=	0.2.3
+PORTREVISION=	1
 CATEGORIES=	www
 MASTER_SITES=	http://www.suphp.org/download/
 
@@ -14,7 +15,7 @@
 COMMENT=	suPHP is a combination which provides a wrapper for PHP
 
 BUILD_DEPENDS=	${LOCALBASE}/sbin/apxs:${PORTSDIR}/www/apache13
-RUN_DEPENDS=	${LOCALBASE}/bin/php:${PORTSDIR}/lang/php4-cli
+RUN_DEPENDS=	${LOCALBASE}/bin/php:${PORTSDIR}/www/php4-cgi
 
 USE_REINPLACE=	yes
 
@@ -28,7 +29,7 @@
 .include <bsd.port.pre.mk>
 
 .if exists(${LOCALBASE}/libexec/apache/libphp4.so)
-IGNORE="suPHP conflicts with mod_php4. It works only with php4-cli"
+IGNORE="suPHP conflicts with mod_php4. It works only with php4-cgi"
 .endif
 
 pre-configure:
Comment 2 Daichi GOTO freebsd_committer 2003-07-17 05:36:07 UTC
State Changed
From-To: open->closed

Committed. Thanks!